> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar transações futuras



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json get /financial/transactions/future
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /financial/transactions/future:
    get:
      tags:
        - Financial
      summary: Listar transações futuras
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        description:
                          type: string
                          description: Descrição
                        type:
                          type: string
                          enum:
                            - incoming
                            - outcoming
                          description: Tipo
                        value:
                          type: number
                          description: Valor
                        partialValue:
                          type: number
                          description: Valor parcial
                        date:
                          anyOf:
                            - type: string
                            - type: string
                              format: date-time
                          description: Data
                        categoryName:
                          type: string
                          description: Nome da categoria
                        categoryIcon:
                          type: string
                          description: Ícone da categoria
                        categoryColor:
                          type: string
                          description: Cor da categoria
                        transactionId:
                          type: string
                          format: uuid
                          description: ID da transação
                        billId:
                          type: string
                          description: ID da conta
                        billName:
                          type: string
                          description: Nome da conta
                        billIcon:
                          type: string
                          description: Ícone da conta
                        personId:
                          type: string
                          description: ID da pessoa
                        personName:
                          type: string
                          description: Nome da pessoa
                        lawSuitId:
                          type: string
                          description: ID do processo
                        lawSuitProcessNumber:
                          type: string
                          description: Número do processo
                        isPaid:
                          type: boolean
                          description: Pago
                        schedulingIds:
                          type: array
                          items:
                            type: string
                            format: uuid
                          description: IDs de agendamento
                        installmentLabel:
                          type: string
                          description: Rótulo da parcela
                        isFixed:
                          type: boolean
                          description: Fixa
                        hasScheduling:
                          type: boolean
                          description: Possui parcelamento
                        annotations:
                          type: string
                          nullable: true
                          description: Anotações
                        billIsPrivate:
                          type: boolean
                          description: Conta privada
                        gateway:
                          type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - PAYMENT
                                - INSTALLMENT
                                - SUBSCRIPTION
                            value:
                              type: number
                            createdAt:
                              type: string
                            status:
                              type: string
                            dueDate:
                              type: string
                            paymentDate:
                              type: string
                              nullable: true
                            installmentNumber:
                              type: number
                              nullable: true
                            discount:
                              type: object
                              properties:
                                value:
                                  type: number
                                dueDateLimitDays:
                                  type: integer
                                  exclusiveMinimum: true
                                  minimum: 0
                                type:
                                  type: string
                                  enum:
                                    - FIXED
                                    - PERCENTAGE
                              additionalProperties: false
                            fine:
                              type: object
                              properties:
                                value:
                                  type: number
                                type:
                                  type: string
                                  enum:
                                    - FIXED
                                    - PERCENTAGE
                              additionalProperties: false
                            interest:
                              type: object
                              properties:
                                value:
                                  type: number
                              additionalProperties: false
                            invoiceUrl:
                              type: string
                            gatewayPaymentUrl:
                              type: string
                          required:
                            - kind
                            - value
                            - createdAt
                            - status
                            - dueDate
                            - paymentDate
                            - installmentNumber
                            - discount
                            - fine
                            - interest
                            - invoiceUrl
                            - gatewayPaymentUrl
                          additionalProperties: false
                          nullable: true
                          description: Dados do gateway
                      required:
                        - description
                        - type
                        - value
                        - partialValue
                        - date
                        - categoryName
                        - categoryIcon
                        - categoryColor
                        - transactionId
                        - billId
                        - billName
                        - billIcon
                        - personId
                        - personName
                        - lawSuitId
                        - isPaid
                        - isFixed
                      additionalProperties: true
                    description: Transações futuras
                  totalResults:
                    type: number
                    description: Total de registros
                  totalPages:
                    type: number
                    description: Total de páginas
                required:
                  - data
                  - totalResults
                  - totalPages
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````